Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 433174 - Review Request: squeeze - A modern and advanced archive manager for the Xfce Desktop Environment
Summary: Review Request: squeeze - A modern and advanced archive manager for the Xfce...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Christoph Wickert
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2008-02-17 06:26 UTC by Kevin Fenzi
Modified: 2010-04-02 22:08 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-04-02 22:08:36 UTC


Attachments (Terms of Use)

Description Kevin Fenzi 2008-02-17 06:26:39 UTC
Spec URL: http://www.scrye.com/~kevin/fedora/squeeze.spec
SRPM URL: http://www.scrye.com/~kevin/fedora/squeeze-0.2.2-1.fc9.src.rpm
Description: 

Squeeze is a modern and advanced archive manager for the
Xfce Desktop Environment. Its design adheres to the Xfce
philosophy, which basically means Squeeze is designed
to be both fast and easy to use.

rpmlint says: 

squeeze.i386: W: wrong-file-end-of-line-encoding /usr/share/doc/squeeze-0.2.2/TODO

Which I will fix with iconv at reviewer request, but I think is too minor to bother with.

Comment 1 Christoph Wickert 2008-02-20 03:46:10 UTC
FAIL: rpmlint 

$ rpmlint /var/lib/mock/fedora-development-x86_64/result/squeeze-*
squeeze.x86_64: W: wrong-file-end-of-line-encoding /usr/share/doc/squeeze-0.2.2/TODO
squeeze.x86_64: E: binary-or-shlib-defines-rpath /usr/bin/squeeze ['/usr/lib64']

Not sure if the rpath also appears on i386, cannot test atm. Do you see the same
or is it just me?

OK - MUST: Package is named according to the Package Naming Guidelines.
OK - MUST: Spec file name matches base package %{name}
OK - MUST: Package meets the Packaging Guidelines
OK - MUST: The package is licensed GPLv2+ and meets the Licensing Guidelines.
OK - MUST: License field in the package spec file matches the actual license
OK - MUST: License from source is included in %doc.
OK - MUST: Spec is written in American English.
OK - MUST: Spec file is legible.
OK - MUST: Sources matches upstream by md5  36b326e1ff4592ef4bffd2b75e171ead
OK - MUST: Package successfully compiles and builds into binary rpms on x86_64
OK - MUST: no known exclude archs
FAIL - MUST: All build dependencies are listed in BuildRequires, but
libxfce4util should be libxfce4util-devel. Will be installed anyway by
Thunar-devel -> exo-devel -> libxfce4util-devel
OK - MUST: Spec file handles locales properly with %find_lang
OK - MUST: ldconfig correctly called in %post and %postun for libsqueeze
OK - MUST: Package is not relocatable
OK - MUST: Package owns all directories that it creates (none)
OK - MUST: No duplicate files in the %files listing
OK - MUST: Permissions on files are be set properly, valid %defattr
OK - MUST: Valid %clean section present
OK - MUST: Use of macros is consistent as described in the macros section of
Packaging Guidelines
OK - MUST: Package contains code, no content.
OK - MUST: No large documentation
OK - MUST: docs don't affect the runtime of the app
OK - MUST: Headers are in -devel package.
OK - MUST: No static libraries
OK - MUST: -devel package correctly requires pkgconfig
OK - MUST: libsqueeze*.so is in -devel package
OK - MUST: -devel package requires the base package using a fully versioned
dependency
OK - MUST: Package does not contain libtool archives
OK - MUST: Includes a %{name}.desktop file, that is properly installed with
desktop-file-install in the %install section.
OK - MUST: Package does not own files or directories already owned by other packages
OK - MUST: rm -rf $RPM_BUILD_ROOT called at beginning of %install.
OK - MUST: All filenames in rpm package are valid UTF-8.
OK - SHOULD: builds in mock
FAIL - SHOULD: package does not function as described.
I see excessive CPU usage when adding files to archives. Even a small text file
in a new archive nearly freezes my computer.
OK - SHOULD: scriptlets are sane.

Hints: You could change 
%{_datadir}/icons/hicolor/16x16/apps/squeeze.png
%{_datadir}/icons/hicolor/48x48/apps/squeeze.png
to 
%{_datadir}/icons/hicolor/*/apps/squeeze.png
maybe the decide to include more sizes later

also you could configure with --disable-static instead of removing the *.a file

I see three blockers, the rest is ok. I don't care about the TODO.

Does squeeze need additional programs (gzip, tar, unzip, zip) or is everything
performed through libsqueeze?

Comment 2 Kevin Fenzi 2008-02-21 01:00:30 UTC
1. I fixed the rpath issue and synced up a new spec file, but forgot to
regenerate the src.rpm. So, if you built from src.rpm thats the issue. ;( 

2. Removed the unneeded libxfce4util BuildRequires. 

3. Yeah, it worked for me a while ago, but I just built it for f8 and installed
it on my laptop, and it locked it up solid. ;( 

I guess for item 3 we should look at trying to get more info for upstream.
Clearly issue 3 should be solved before this is imported. ;(  

New spec/src.rpm: 

Spec URL: http://www.scrye.com/~kevin/fedora/squeeze.spec
SRPM URL: http://www.scrye.com/~kevin/fedora/squeeze-0.2.2-2.fc9.src.rpm



Comment 3 Kevin Fenzi 2008-05-11 01:00:45 UTC
0.2.3 is out with a proported fix for the crash, but it doesn't seem to work
here. I still see it take up all memory. ;( 

Spec URL: http://www.scrye.com/~kevin/fedora/squeeze.spec
SRPM URL: http://www.scrye.com/~kevin/fedora/squeeze-0.2.3-1.fc10.src.rpm


Comment 4 Christoph Wickert 2009-11-23 03:54:37 UTC
Has the problem ever been reported upstream? I see there is not much happening in git these days, only translation updates. However there were a couple of code changes back in July 2007. You want to give this another try with a git version or should we close this review?

Comment 5 Kevin Fenzi 2009-11-23 17:43:34 UTC
Yeah, I think it may be: 
http://bugzilla.xfce.org/show_bug.cgi?id=4598

I guess I can try and gather more info and update that bug or file a new one. ;(

Comment 6 Christoph Wickert 2010-04-02 22:08:36 UTC
I think this is not going to lead us anywhere. Upstream seems unresponsive and with Thunar being portet to gvfs, a lot of the code needs to be rewritten. Feel free to submit a new report once this has happened and the program works, but for now I'm going to close this review as per 
https://fedoraproject.org/wiki/Policy_for_stalled_package_reviews


Note You need to log in before you can comment on or make changes to this bug.